## com.bbn.openmap.tools.symbology.milStd2525
Class CodeOptions

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodeOptions

public class CodeOptions
extends java.lang.Object

CodeOptions represent a set of CodePositions that can be chosen for a particular SymbolPart. This class is a holder for affiliations, order of battle, modifier settings, etc.

Field Summary
`protected java.util.List` `options`

Constructor Summary
`CodeOptions(java.util.List opts)`

Method Summary
`java.util.List` `getOptions()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### options

    protected java.util.List options

Constructor Detail

### CodeOptions

    public CodeOptions(java.util.List opts)

Method Detail

### toString

    public java.lang.String toString()

### getOptions

    public java.util.List getOptions()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details